# robocorp -package

The purpose of this meta package is to simplify dependency management by having all the essentials packed in a single easy-to-install dependency.

[![robocorp](https://img.shields.io/pypi/v/robocorp?label=robocorp)](https://pypi.org/project/robocorp/)

The following libraries are currently included:

| Release in PyPI                                                                                                                                  | Description                                                                                                                                                                                          |
|--------------------------------------------------------------------------------------------------------------------------------------------------|---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------|
| [![robocorp-tasks](https://img.shields.io/pypi/v/robocorp-tasks?label=robocorp-tasks)](https://pypi.org/project/robocorp-tasks/)                 | Python framework designed to simplify the development of Python automations.                                                                                                                      |
| [![robocorp-log](https://img.shields.io/pypi/v/robocorp-log?label=robocorp-log)](https://pypi.org/project/robocorp-log/)                         | Provides comprehensible logging for Python with a focus on Python automation.                                                                                                                     |
| [![robocorp-vault](https://img.shields.io/pypi/v/robocorp-vault?label=robocorp-vault)](https://pypi.org/project/robocorp-vault/)                 | Store secret values in [Control Room Vault](https://robocorp.com/docs/control-room/vault) and access them during the execution.                                                                   |
| [![robocorp-workitems](https://img.shields.io/pypi/v/robocorp-workitems?label=robocorp-workitems)](https://pypi.org/project/robocorp-workitems/) | Interact with [Control Room Work Items](https://robocorp.com/docs/control-room/unattended/work-data-management) in your unattended processes; Read data from previous steps, create output data.  |
| [![robocorp-storage](https://img.shields.io/pypi/v/robocorp-storage?label=robocorp-storage)](https://pypi.org/project/robocorp-storage/)         | Interact with [Control Room Asset Storage](https://robocorp.com/docs/control-room/asset-storage) and manage them during the execution.                                                            |


For further documentation on robocorp Python libraries, check out [more details here](https://github.com/robocorp/robocorp/blob/master/docs/README.md).
